Register invoice info to receive a short payment link

The POST /invoice-requests endpoint is designed to facilitate the creation of new invoice requests within the Payment API. By submitting a request to this endpoint, users can initiate the process of generating an e-invoice for their business transactions. This endpoint accepts invoice data, including customer details and redirect URLs, among other relevant information.

Upon receiving a valid request, the API will process the provided data, create a new invoice request, and return a response including a unique invoice identifier and a short URL to initiate the payment. The short URL has also been enlisted with Bancontact, to simplify the payment processes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Model representing the data necessary for registering a new invoice

integer
required

amount expressed in cents that has to be paid

string

BIC number

date

The date the bill was emitted. The default value is today. The expected format is YYYY-MM-DD

string

The structured reference used by the biller to reconcile the payment. This is also called the structured communication in Belgium. Both BBA (Belgium) and ISO (International) types are supported. It can be left empty if the remittanceInfo is defined

string

The currency of the amount to be paid based on the ISO 4217-alpha standard. The default value is EUR

string
length between 0 and 250

City

string
length between 0 and 250

Country (ISO 3166-1 alpha-2)

string
length between 0 and 250

street number

string
length between 0 and 250

street name of the client address

string
length between 0 and 20

Zipcode

string
length between 0 and 255

email address. This is important to provide so that we can match this customer to the registered users.

string
length between 0 and 255

Client first name

string
required
length between 0 and 255

The id used by the requester his internal billing system. This is mandatory when creating an invoice

string
length between 0 and 255

Client last name

string
length between 0 and 255

the mobile phone of the customer with the national prefix

string

Client VAT number (if applicable) with the country code

date
required

The date before which the payment must be performed. If it is provided, it can be used to show which bills are overdue or will soon be overdue. The payment slip will display a memo-date one week before the due date if that date is still in the future at generation time. The expected format is YYYY-MM-DD

boolean

True if documents should be attached to this invoice, false if no document should be attached. Default is false.

string
enum
(QR_TEXT)|(NONE)

Type of the image you want to receive, default value = NONE, for now we only support QR_TEXT to return

Allowed:
string

IBAN number, if you have registered multiple IBAN numbers on your account then this field is required!

string
enum
(PNG)|(BMP)

Format of the image you want to receive, default value = PNG

Allowed:
string
required
length between 0 and 255

The internal identifier of the invoice as known by the issuer. It must be unique per issuer.

string

The language of the client (NL, FR or EN)

string
enum
(PUBLISHED)|(DRAFT)

An invoice can have one of two statusses:PUBLISHED (default value) : if generated the payment request can no longer be modified DRAFT : if generated the payment request can still be updated.

Allowed:
string

The purpose based on the ISO 20022 standard

string
length between 0 and 140

An unstructured string that is used as communication in the payment. This information is only used if there is no creditorReference. It should be left empty if the creditorReference is defined

string

The email of the requester. The requesterID, the requesterVAT, the requesterIdentificationNumber or the requestorEmail needs to be filled in

integer

The id of the Requester. The requesterID, the requesterVAT, the requesterIdentificationNumber or the requestorEmail needs to be filled in

string

The national identification number of the Requester. The requesterID, the requesterVAT, the requesterIdentificationNumber or the requestorEmail needs to be filled in

string

The VAT number of the Requester. The requesterID, the requesterVAT, the requesterIdentificationNumber or the requestorEmail needs to be filled in

string

A secondary language of the client

int32

Indicates the size of the image you want to receive in pixels.

string

Defines the url where to redirect the user when the payment was cancelled. If not present, it will revert to the errorURL. Maximum length of 255 characters.

string
required

Defines the url where to redirect the user when the payment has been completed successfully. Maximum length of 255 characters.

string
required

Defines the url where to redirect the user when an error occurred during the payment. Maximum length of 255 characters.

Headers
string

The X-Customer header is used in API requests to indicate the identity of the customer registering a payment.
When the customer can't be derived from the authentication credentials used to authorize the request the X-Customer header must be used to specify which customer is making the request.
This allows the API to process the request appropriately based on the identity of the customer. The usage of the X-Customer header is only allowed for internal consumers of the API. External consumers are not authorized to use this header.

uuid

A unique identifier (UUID) to correlate requests and responses throughout the API call's lifecycle.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/sh.payment.api.v001+json